Bug 577327 - Traceback when attempting to assign a bug to a user
Traceback when attempting to assign a bug to a user
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 13:35 EDT by Neil Horman
Modified: 2010-04-22 18:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-bugzilla-0.6.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-22 18:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2010-03-26 13:35:20 EDT
Description of problem:

Got the follwoing trying to assign a bug to a user

[nhorman@shamino scripts]$ bugzilla --user=nhorman@redhat.com --password=YYYYY modify --assignee=jolsa@redhat.com 565560
Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 595, in <module>
    main()
  File "/usr/bin/bugzilla", line 496, in main
    bug.setassignee(assigned_to=opt.assignee,comment=opt.comment)
  File "/usr/lib/python2.6/site-packages/bugzilla/base.py", line 1143, in setassignee
    reporter=reporter,qa_contact=qa_contact,comment=comment)
  File "/usr/lib/python2.6/site-packages/bugzilla/rhbugzilla.py", line 472, in _setassignee
    return self._update_bug(id,update)
  File "/usr/lib/python2.6/site-packages/bugzilla/rhbugzilla.py", line 432, in _update_bug
    return self._update_bugs(ids=[id],updates=updates)
  File "/usr/lib/python2.6/site-packages/bugzilla/rhbugzilla.py", line 427, in _update_bugs
    return self._proxy.Bug.update({'ids':ids,'updates':updates})
  File "/usr/lib/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.6/xmlrpclib.py", line 1483, in __request
    allow_none=self.__allow_none)
  File "/usr/lib/python2.6/xmlrpclib.py", line 1132, in dumps
    data = m.dumps(params)
  File "/usr/lib/python2.6/xmlrpclib.py", line 677, in dumps
    dump(v, write)
  File "/usr/lib/python2.6/xmlrpclib.py", line 699, in __dump
    f(self, value, write)
  File "/usr/lib/python2.6/xmlrpclib.py", line 780, in dump_struct
    dump(v, write)
  File "/usr/lib/python2.6/xmlrpclib.py", line 699, in __dump
    f(self, value, write)
  File "/usr/lib/python2.6/xmlrpclib.py", line 780, in dump_struct
    dump(v, write)
  File "/usr/lib/python2.6/xmlrpclib.py", line 699, in __dump
    f(self, value, write)
  File "/usr/lib/python2.6/xmlrpclib.py", line 703, in dump_nil
    raise TypeError, "cannot marshal None unless allow_none is enabled"
TypeError: cannot marshal None unless allow_none is enabled


Version-Release number of selected component (if applicable):
0.5.1-3.fc12

How reproducible:
always

Steps to Reproduce:
1.attempt to assign a bug to a user on the RH bugzilla site

  
Actual results:
traceback above

Expected results:
successful assignment

Additional info:
Comment 1 Will Woods 2010-04-01 14:23:48 EDT
Found it - the bugzilla CLI sets comment=None if there's no comment, and RHBugzilla3's _setassignee was trying to pass that None along to Bugzilla, which rejected it.

Git commit 62cbb8c changes _setassignee to skip keyword values which are set to None.

In the meantime you can work around this by explicitly setting "--comment=''" when using the CLI.
Comment 2 Neil Horman 2010-04-01 14:47:07 EDT
cool, thanks will!
Comment 3 Fedora Update System 2010-04-16 15:26:50 EDT
python-bugzilla-0.6.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-bugzilla-0.6.1-1.fc13
Comment 4 Fedora Update System 2010-04-20 09:29:49 EDT
python-bugzilla-0.6.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-bugzilla'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-bugzilla-0.6.1-1.fc13
Comment 5 Fedora Update System 2010-04-22 18:35:10 EDT
python-bugzilla-0.6.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.